# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::ShaderNode::RenderStateInfo Struct Reference

ShaderNode's representation of a RenderState. More...

`#include <ShaderNode.hpp>`

List of all members.

## Public Member Functions

| RenderStateInfo (EInheritance inheritance=IN_Propagate, RenderState *rs=NULL, int index=-1)

## Public Attributes

EInheritance | mInheritance
ref< RenderState > | mRenderState
int | mIndex

## Detailed Description

ShaderNode's representation of a RenderState.

Definition at line 60 of file ShaderNode.hpp.

## Constructor & Destructor Documentation

vl::ShaderNode::RenderStateInfo::RenderStateInfo | ( | EInheritance | inheritance = `IN_Propagate`,
|  | RenderState * | rs = `NULL`,
|  | int | index = `-1`
| ) |  | `[inline]`

Definition at line 62 of file ShaderNode.hpp.

## Member Data Documentation

EInheritance vl::ShaderNode::RenderStateInfo::mInheritance

Definition at line 64 of file ShaderNode.hpp.

ref<RenderState> vl::ShaderNode::RenderStateInfo::mRenderState

Definition at line 65 of file ShaderNode.hpp.

int vl::ShaderNode::RenderStateInfo::mIndex

Definition at line 66 of file ShaderNode.hpp.

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/ShaderNode.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:53.
Permission is granted to use this page to write and publish articles regarding Visualization Library.